info.bioinfweb.jphyloio.formats.xml

## Class XMLReaderStreamDataProvider<R extends AbstractXMLEventReader<? extends XMLReaderStreamDataProvider<R>>>

- java.lang.Object
- - info.bioinfweb.jphyloio.ReaderStreamDataProvider<R>
  - - info.bioinfweb.jphyloio.formats.xml.XMLReaderStreamDataProvider<R>

- Direct Known Subclasses:
    NeXMLReaderStreamDataProvider, PDEReaderStreamDataProvider, PhyloXMLReaderStreamDataProvider

      public class XMLReaderStreamDataProvider<R extends AbstractXMLEventReader<? extends XMLReaderStreamDataProvider<R>>>
      extends ReaderStreamDataProvider<R>

  Stores data that shall be shared among different implementations of `XMLElementReader` reading from the same document.
  Author:
    Sarah Wiechers

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLReaderStreamDataProvider(R eventReader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CharacterStateSetType` | `getCharacterSetType()`
    `java.util.Stack<java.util.Queue<NodeEdgeInfo>>` | `getEdgeInfos()`
    `java.lang.String` | `getElementName()`
    `java.lang.String` | `getIncompleteToken()`
    `java.util.Stack<java.lang.String>` | `getNestedMetaNames()`
    `java.lang.String` | `getParentName()`
    `java.util.Stack<NodeEdgeInfo>` | `getSourceNode()`
    `javax.xml.stream.events.StartDocument` | `getStartDocumentEvent()`
    `javax.xml.stream.XMLEventReader` | `getXMLReader()`
    `boolean` | `hasIncompleteToken()`
    `boolean` | `isCreateNodeStart()`
    `boolean` | `isCustomXMLStartWritten()`
    `boolean` | `isRootedPhylogeny()`
    `void` | `setCharacterSetType(CharacterStateSetType characterSetType)`
    `void` | `setCreateNodeStart(boolean createNodeStart)`
    `void` | `setCustomXMLStartWritten(boolean isFirstCustomXMLElement)`
    `void` | `setElementName(java.lang.String elementName)`
    `void` | `setIncompleteToken(java.lang.String incompleteToken)`
    `void` | `setParentName(java.lang.String parentName)`
    `void` | `setRootedPhylogeny(boolean isRootedPhylogeny)`
    `void` | `setStartDocumentEvent(javax.xml.stream.events.StartDocument startDocumentEvent)`

    - ### Methods inherited from class info.bioinfweb.jphyloio.ReaderStreamDataProvider

      `eventsUpcoming, getCurrentEventCollection, getEventReader, getIDManager, getParameters, getSequenceTokensEventManager, hasSpecialEventCollection, resetCurrentEventCollection, setCurrentEventCollection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLReaderStreamDataProvider

          public XMLReaderStreamDataProvider(R eventReader)

  - ### Method Detail

    - #### getXMLReader

          public javax.xml.stream.XMLEventReader getXMLReader()

    - #### getParentName

          public java.lang.String getParentName()

    - #### setParentName

          public void setParentName(java.lang.String parentName)

    - #### getElementName

          public java.lang.String getElementName()

    - #### setElementName

          public void setElementName(java.lang.String elementName)

    - #### getStartDocumentEvent

          public javax.xml.stream.events.StartDocument getStartDocumentEvent()

    - #### setStartDocumentEvent

          public void setStartDocumentEvent(javax.xml.stream.events.StartDocument startDocumentEvent)

    - #### getNestedMetaNames

          public java.util.Stack<java.lang.String> getNestedMetaNames()

    - #### isCustomXMLStartWritten

          public boolean isCustomXMLStartWritten()

    - #### setCustomXMLStartWritten

          public void setCustomXMLStartWritten(boolean isFirstCustomXMLElement)

    - #### hasIncompleteToken

          public boolean hasIncompleteToken()

    - #### getIncompleteToken

          public java.lang.String getIncompleteToken()

    - #### setIncompleteToken

          public void setIncompleteToken(java.lang.String incompleteToken)

    - #### isRootedPhylogeny

          public boolean isRootedPhylogeny()

    - #### setRootedPhylogeny

          public void setRootedPhylogeny(boolean isRootedPhylogeny)

    - #### getCharacterSetType

          public CharacterStateSetType getCharacterSetType()

    - #### setCharacterSetType

          public void setCharacterSetType(CharacterStateSetType characterSetType)

    - #### getSourceNode

          public java.util.Stack<NodeEdgeInfo> getSourceNode()

    - #### getEdgeInfos

          public java.util.Stack<java.util.Queue<NodeEdgeInfo>> getEdgeInfos()

    - #### isCreateNodeStart

          public boolean isCreateNodeStart()

    - #### setCreateNodeStart

          public void setCreateNodeStart(boolean createNodeStart)